Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 681828 - dev-java/oracle-jdk-bin:1.8 and dev-java/oracle-jre-bin:1.8 fate in ::gentoo
Summary: dev-java/oracle-jdk-bin:1.8 and dev-java/oracle-jre-bin:1.8 fate in ::gentoo
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal major with 2 votes (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords: PullRequest
Depends on: 719076
Blocks: 717638
  Show dependency tree
 
Reported: 2019-03-26 23:54 UTC by Georgy Yakovlev
Modified: 2020-09-19 08:50 UTC (History)
16 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Georgy Yakovlev gentoo-dev 2019-03-26 23:54:43 UTC
Hi,

I was trying to understand licencing information about oracle jdk and here's what I've figured out so far:

(oracle-j refers to 

oracle-j:1.8 will end its official support for commercial users at April 2019.
This means commercial users will not receive further free updates moving forward from that date.
You can still use, commercially, an version 1.8.0.202 if you are willing to accept the security risks that involves.


oracle-j:1.8 will continue its official support for public (personal) users until December 2020. This means you will continue to receive free updates until December 2020 for home usage.


oracle-j:11 is available with a trap 
"You may not: use the Programs for any data processing or any commercial, production, or internal business purposes other than developing, testing, prototyping, and demonstrating your Application;"


also we have as alternative/
icedtea{-bin} - which is what most desktop users want and it's fully supported by gentoo java team.
openjdk:8 - which is mostly drop-in replacement for oracle-j:1.8 except for javafx.
openjdk:11 - which is LTS release, and what most of the community moved to.


The question is, should we and if yes for how long keep oracle-j:1.8 in the tree?
Seems it's still ok to use at home until 2020.
But anyone using gentoo in production can't legally use it anymore.

Oracle plans to release next patch on Apr 16, which will be first non-publicly available patch which fixes some critical vulnerability.

Thoughts, opinions?
Comment 1 Georgy Yakovlev gentoo-dev 2019-03-27 00:02:04 UTC
It's not clear to me if the patch that's going to be released on Apr 16 will be available for "home" users or now. If not, I'd say let's just purge oracle-jdk, no reason to keep maintained, vulnerable version in the tree.
Comment 2 Manuel Ullmann 2019-04-16 21:53:17 UTC
It is actually available for home users, but they need an Oracle account.

Actually I started creating a bump. Should I continue with it or do you prefer to purge the ebuilds?

The last time I really “needed” oracle-jdk-bin was a few weeks after JDK SE 9 release, when it was deemed a requirement for the exercises in compiler construction. So I can understand your intention to purge it from the tree. Due to the file size and the fetch restriction bumping it is extremely annoying.

Purging it would be fine for me as long as this gives the java team time to closely track openjdk upstream.
Comment 3 Georgy Yakovlev gentoo-dev 2019-04-16 23:10:07 UTC
here's the announcement from https://www.java.com/en/download/

Important Oracle Java License Update
The Oracle Java License has changed for releases starting April 16, 2019.
The new Oracle Technology Network License Agreement for Oracle Java SE is substantially different from prior Oracle Java licenses. The new license permits certain uses, such as personal use and development use, at no cost -- but other uses authorized under prior Oracle Java licenses may no longer be available. Please review the terms carefully before downloading and using this product. An FAQ is available here.

Commercial license and support is available with a low cost Java SE Subscription.






I think it should go and live in overlay if someone wants to maintain it, I'm not going to touch it except with rm -rf, I'll give it a week and will send last-rites and see how people react and if someone wants to maintain it.
Comment 4 Manuel Ullmann 2019-04-17 16:57:21 UTC
Well, I’ve read the FAQ and the license. Their meaning of “personal use” differs substantially from Virtualbox (at least Virtualbox back in the Sun days).

An overlay bump would require an ewarn with the following FAQ entry to make users aware of the license change. The license itself does not restrict license text distribution, so it would not violate GCO.

---
Can you elaborate on what qualifies as Personal use?
Personal use is using Java on a desktop or laptop computer to do things such as to play games or run other personal applications. If you are using Java on a desktop or laptop computer as part of any business operations, that is not personal use. For example, you could use a Java productivity application to do your own homework or your personal taxes, but you could not use it to do your business accounting.
---

But I doubt, that it would have a lot of users. After all you need to create an Oracle account to fetch it and their javascript requires the company and function (in the company) fields to be filled. That account can’t be deleted after creation, which is great, because technically the OTN license does not grant any support, so they might not even answer a deletion request.

+1 for rm -rf. ;)
Comment 5 Georgy Yakovlev gentoo-dev 2019-04-17 19:18:26 UTC
I've just added new jdk ebuilds (openjdk-jre-bin 8 and 11) which going to replace oracle jre in case someone needs jre and not jdk.
Comment 6 Tomáš Mózes 2019-04-17 19:53:56 UTC
Shouldn't we wait with the mask/removal until the new alternatives are stabilized?
Comment 7 Georgy Yakovlev gentoo-dev 2019-04-17 20:33:55 UTC
technically yes, legally - I think no.

icedtea-bin is stable. it covers most usecases (except javafx)
Comment 8 Larry the Git Cow gentoo-dev 2019-04-17 23:20:50 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1c8b56a4314316b8a8234bca6bc26fc83b15d99b

commit 1c8b56a4314316b8a8234bca6bc26fc83b15d99b
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2019-04-17 23:17:14 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2019-04-17 23:20:26 +0000

    profiles: adjust oracle-java mask
    
    the mask broken the tree
    mask all future versions with new license for now.
    
    Bug: https://bugs.gentoo.org/681828
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 profiles/package.mask | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)
Comment 9 Tomáš Mózes 2019-04-18 06:24:28 UTC
(In reply to Larry the Git Cow from comment #8)
> The bug has been referenced in the following commit(s):
> 
> https://gitweb.gentoo.org/repo/gentoo.git/commit/
> ?id=1c8b56a4314316b8a8234bca6bc26fc83b15d99b
> 
> commit 1c8b56a4314316b8a8234bca6bc26fc83b15d99b
> Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
> AuthorDate: 2019-04-17 23:17:14 +0000
> Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
> CommitDate: 2019-04-17 23:20:26 +0000
> 
>     profiles: adjust oracle-java mask
>     
>     the mask broken the tree
>     mask all future versions with new license for now.
>     
>     Bug: https://bugs.gentoo.org/681828
>     Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
> 
>  profiles/package.mask | 8 ++++----
>  1 file changed, 4 insertions(+), 4 deletions(-)

I like this. Please leave it there until we have some good alternative to it stabilized and then hard mask and remove later on.
Comment 10 Pacho Ramos gentoo-dev 2019-04-18 06:43:17 UTC
Which option would you recommend as a "more close" replacement for oracle java? icedtea:0 or dev-java/openjdk-bin:8? Last time I tried to switch to icedtea from oracle java, I was still having some issues with some apps (like Serviio I think). I would like to retry but I am unsure of trying icedtea again or directly openjdk

Thanks
Comment 11 Tomáš Mózes 2019-04-18 07:49:25 UTC
For a seamless upgrade it's necessary to remove the mask for the gentoo-vm USE flag (otherwise java won't be in path):
mkdir -p /etc/portage/profile
echo "dev-java/openjdk-bin -gentoo-vm" >> /etc/portage/profile/package.use.mask
emerge -avC dev-java/oracle-jdk-bin
USE="gentoo-vm" -av emerge dev-java/openjdk-bin

I've tested elasticsearch/logstash/graylog/jenkins on openjdk-bin-8 and it works fine. Thanks
Comment 12 Georgy Yakovlev gentoo-dev 2019-04-18 17:04:12 UTC
(In reply to Pacho Ramos from comment #10)
> Which option would you recommend as a "more close" replacement for oracle
> java?
> 

 openjdk{-bin} is pretty close. it can build packages, itself and works fine unless you need javafx classes.

jce useflag is gone, default crypto policy is unlimited.

openjdk:8 still has gentoo-vm useflag masked, but I'll unmask it soon after I fix some low-hanging fruit related to ca-certificates.

it's required to unmask gentoo-vm to get it appear in eselect-java and to work with ebuids/eclasses/portage.

So like Thomas said, unmask the flag, but add :8 a slot


openjdk:11 is ok as standalone, but our eclasses/ebuilds are not quite ready for it and will likely fail, I do not recommend using it as system-vm, but totally fine if you call it by path explicitly for some apps.
Comment 13 Pacho Ramos gentoo-dev 2019-04-18 19:59:34 UTC
OK, thanks for the info :)
Comment 14 Mike Limansky 2019-07-17 08:37:44 UTC
(In reply to Georgy Yakovlev from comment #12)
> (In reply to Pacho Ramos from comment #10)
> > Which option would you recommend as a "more close" replacement for oracle
> > java?
> > 
> 
>  openjdk{-bin} is pretty close. it can build packages, itself and works fine
> unless you need javafx classes.

Hi! Any news on this? Which JDK should I use for Java 8 now?
Comment 15 Georgy Yakovlev gentoo-dev 2019-07-17 17:54:20 UTC
(In reply to Mike Limansky from comment #14)
> 
> Hi! Any news on this? Which JDK should I use for Java 8 now?

nothing changed.
use icedtea (preferred) or openjdk or respective -bin variants. avoid oracle-jdk.
Comment 16 nvaert1986 2019-07-29 09:44:27 UTC
Will this package ever be updated to version 221? I'm still using this software to manage my Cisco Adaptive Security Appliance at home, and this doesn't work with OpenJDK or Icedtea. It throws an exception

java.lang.ClassNotFoundException: com.sun.deploy.trace.Trace
	at net.sourceforge.jnlp.runtime.JNLPClassLoader.loadClass(JNLPClassLoader.java:1562)
	at java.lang.Class.forName0(Native Method)
	at java.lang.Class.forName(Class.java:264)
	at com.cisco.launcher.i.a(Unknown Source)
	at com.cisco.launcher.i.if(Unknown Source)
	at com.cisco.launcher.i.a(Unknown Source)
	at com.cisco.launcher.s.if(Unknown Source)
	at com.cisco.launcher.Launcher.main(Unknown Source)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at net.sourceforge.jnlp.Launcher.launchApplication(Launcher.java:574)
	at net.sourceforge.jnlp.Launcher$TgThread.run(Launcher.java:936)
Comment 17 Georgy Yakovlev gentoo-dev 2019-08-18 07:29:08 UTC
https://archives.gentoo.org/gentoo-dev/message/443c63673dcf813dd59f6655bd4c2aee

dropped to maintainer-needed

if you really up to it, feel free to pick it up.
requirement to pick up is to fix https://bugs.gentoo.org/692420 ASAP
Comment 18 Red 2019-08-18 19:42:56 UTC
Should this be marked unmaintained if gentoo-vm is still masked?
Comment 19 Georgy Yakovlev gentoo-dev 2019-08-18 22:00:48 UTC
(In reply to Red from comment #18)
> Should this be marked unmaintained if gentoo-vm is still masked?

it's not dropped, just unmaintained by java team.

also icedtea is fine and is the default choice of jvm, it does not have or need gentoo-vm useflag.
Comment 20 Red 2019-08-19 02:38:52 UTC
(In reply to Georgy Yakovlev from comment #19)
> (In reply to Red from comment #18)
> > Should this be marked unmaintained if gentoo-vm is still masked?
> 
> it's not dropped, just unmaintained by java team.
> 
> also icedtea is fine and is the default choice of jvm, it does not have or
> need gentoo-vm useflag.

I use OpenJDK with gentoo-vm unmasked. However, I have problems compiling LibreOffice with OpenJDK as system-vm, so I leave Oracle as system-vm and OpenJDK as user-vm.

Are you saying if I use IcedTea instead of OpenJDK, I won't have to worry about bug 682156 and can get rid of the outdated Java 8 package?
Comment 21 Georgy Yakovlev gentoo-dev 2019-08-19 04:18:01 UTC
(In reply to Red from comment #20)
> (In reply to Georgy Yakovlev from comment #19)
> > (In reply to Red from comment #18)
> > > Should this be marked unmaintained if gentoo-vm is still masked?
> > 
> > it's not dropped, just unmaintained by java team.
> > 
> > also icedtea is fine and is the default choice of jvm, it does not have or
> > need gentoo-vm useflag.
> 
> I use OpenJDK with gentoo-vm unmasked. However, I have problems compiling
> LibreOffice with OpenJDK as system-vm, so I leave Oracle as system-vm and
> OpenJDK as user-vm.
> 
> Are you saying if I use IcedTea instead of OpenJDK, I won't have to worry
> about bug 682156 and can get rid of the outdated Java 8 package?

failures expected with :11 if it's used as system vm.

icedtea (which is openjdk:8 + patches) or openjdk:8 should be fine. it's not outdated, it's just LTS version and will be around longer that version 11.
Comment 22 Georgy Yakovlev gentoo-dev 2019-12-22 01:20:24 UTC
https://github.com/gentoo/gentoo/pull/14083
Comment 23 Larry the Git Cow gentoo-dev 2019-12-22 01:52:44 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d4af3e28cd9e0c213b5d012995fc0c620054bd86

commit d4af3e28cd9e0c213b5d012995fc0c620054bd86
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2019-12-22 01:17:09 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2019-12-22 01:51:33 +0000

    profiles/package.deprecated: add oracle java
    
    Bug: https://bugs.gentoo.org/681828
    Closes: https://github.com/gentoo/gentoo/pull/14083
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 profiles/package.deprecated | 8 ++++++++
 1 file changed, 8 insertions(+)
Comment 24 Larry the Git Cow gentoo-dev 2020-04-19 04:02:31 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8299bea7bf98ce7dc9552fd0af7384f8b821ee70

commit 8299bea7bf98ce7dc9552fd0af7384f8b821ee70
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2020-04-18 20:51:18 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2020-04-19 04:02:10 +0000

    profiles/package.mask: mask oracle-{jdk,jre}-bin and revdeps
    
    Bug: https://bugs.gentoo.org/681828
    Closes: https://github.com/gentoo/gentoo/pull/15401
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 profiles/package.mask | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)
Comment 25 Larry the Git Cow gentoo-dev 2020-04-19 10:01:01 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=297ffb46ae4e4ddb33702f37e841ef4c3cc042ba

commit 297ffb46ae4e4ddb33702f37e841ef4c3cc042ba
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2020-04-19 09:57:14 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2020-04-19 09:59:25 +0000

    profiles: unmask sleuthkit and mask java useflag
    
    Bug: https://bugs.gentoo.org/681828
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 profiles/base/package.use.mask | 4 ++++
 profiles/package.mask          | 1 -
 2 files changed, 4 insertions(+), 1 deletion(-)
Comment 26 Till Schäfer 2020-04-20 11:00:49 UTC
The app-text/jabref-bin removal is really a problem for me, since I you cannot move back to version 2 (the file format has not backwardcompatible changes). What are exactly the problems with JabRefs binary packages. Can they be fixed via the ebuild?
Comment 27 Till Schäfer 2020-04-20 11:01:35 UTC
(In reply to Till Schäfer from comment #26)
> The app-text/jabref-bin removal is really a problem for me, since I you
> cannot move back to version 2 (the file format has not backwardcompatible
> changes). What are exactly the problems with JabRefs binary packages. Can
> they be fixed via the ebuild?

See Bug 718152
Comment 28 Georgy Yakovlev gentoo-dev 2020-04-23 09:18:08 UTC
for everyone who subscribed to this bug.

I've packaged openjfx-8 and finishing ebuild. that's 
all those masked packages can be saved after I commit openjfx-8 and add support for it in icedtea and openjdk.

It takes time to test, but it'll be committed soon.
Before dropping oracle jdk we will have openjfx/javafx replacement.

openjfx-8 will be compatible with source and -bin versions of icedtea and openjdk.
Comment 29 Larry the Git Cow gentoo-dev 2020-09-19 03:12:20 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0a7f740c6a58e860b062ec62619ea01aae863400

commit 0a7f740c6a58e860b062ec62619ea01aae863400
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2020-09-19 03:08:34 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2020-09-19 03:11:41 +0000

    virtual/jre: revbump 11, remove oracle provider
    
    Bug: https://bugs.gentoo.org/681828
    Package-Manager: Portage-3.0.4, Repoman-3.0.1
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 virtual/jre/jre-11-r2.ebuild | 13 +++++++++++++
 1 file changed, 13 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=83a1e5413257ef13dec0e480a3096091d3682856

commit 83a1e5413257ef13dec0e480a3096091d3682856
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2020-09-19 03:07:30 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2020-09-19 03:11:36 +0000

    virtual/jdk: revbump 11, remove oracle provider
    
    Bug: https://bugs.gentoo.org/681828
    Package-Manager: Portage-3.0.4, Repoman-3.0.1
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 virtual/jdk/jdk-11-r1.ebuild | 13 +++++++++++++
 1 file changed, 13 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c8426bca4cadb376ac4d52c57595b1aa7670b051

commit c8426bca4cadb376ac4d52c57595b1aa7670b051
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2020-09-19 03:06:01 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2020-09-19 03:11:31 +0000

    virtual/jre: revbump 1.8.0
    
    remove oracle as provider
    
    Bug: https://bugs.gentoo.org/681828
    Package-Manager: Portage-3.0.4, Repoman-3.0.1
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 virtual/jre/jre-1.8.0-r3.ebuild | 13 +++++++++++++
 1 file changed, 13 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aebb1a4d39b51d9192880b5ee08b5451ea558304

commit aebb1a4d39b51d9192880b5ee08b5451ea558304
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2020-09-19 03:04:10 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2020-09-19 03:11:15 +0000

    virtual/jdk: revbump 1.8.0, move openjdk to preferred
    
    and remove oracle as provider
    
    Bug: https://bugs.gentoo.org/681828
    Package-Manager: Portage-3.0.4, Repoman-3.0.1
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 virtual/jdk/jdk-1.8.0-r5.ebuild | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0ca55f5ae95a46b6b702af34614c24090d117f62

commit 0ca55f5ae95a46b6b702af34614c24090d117f62
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2020-09-19 02:13:10 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2020-09-19 02:56:28 +0000

    dev-java/openjdk: add javafx flag to openjdk8
    
    Bug: https://bugs.gentoo.org/681828
    Package-Manager: Portage-3.0.4, Repoman-3.0.1
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 dev-java/openjdk/metadata.xml             | 1 +
 dev-java/openjdk/openjdk-8.265_p01.ebuild | 4 +++-
 2 files changed, 4 insertions(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4eda5ab2b3cb995c23c2af6b2b0397637c2b21f0

commit 4eda5ab2b3cb995c23c2af6b2b0397637c2b21f0
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2020-09-19 01:10:05 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2020-09-19 02:56:26 +0000

    dev-java/openjfx: add openjfx8
    
    Bug: https://bugs.gentoo.org/681828
    Closes: https://bugs.gentoo.org/547918
    Package-Manager: Portage-3.0.4, Repoman-3.0.1
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 dev-java/openjfx/Manifest                          |   1 +
 .../8/0000-Fix-wait-call-in-PosixPlatform.patch    |  14 ++
 dev-java/openjfx/files/8/0001-Change-Lucene.patch  |  79 +++++++++
 .../openjfx/files/8/0001-don-t-force-msse.patch    |  69 ++++++++
 ...0002-Allow-build-to-work-on-newer-gradles.patch |  10 ++
 ...-cast-between-incompatible-function-types.patch |  77 +++++++++
 .../files/8/0004-Fix-Compilation-Flags.patch       |  23 +++
 .../files/8/0005-don-t-include-xlocale.h.patch     |  25 +++
 .../8/06-disable-architecture-verification.patch   |  21 +++
 ...07-disable-assembler-on-unsupported-archs.patch |  18 ++
 dev-java/openjfx/files/8/10-javadoc-locale.patch   |  21 +++
 dev-java/openjfx/files/8/99-sysdeps.patch          |  30 ++++
 dev-java/openjfx/files/8/Wno-error.patch           | 121 ++++++++++++++
 .../openjfx/files/8/disable-online-repos.patch     |  54 ++++++
 dev-java/openjfx/files/8/respect_flags.patch       |  22 +++
 dev-java/openjfx/openjfx-8.202.ebuild              | 185 +++++++++++++++++++++
 16 files changed, 770 insertions(+)
Comment 30 Larry the Git Cow gentoo-dev 2020-09-19 05:30:36 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6368ce70e7084394864b40ddd8a04039fc94e94f

commit 6368ce70e7084394864b40ddd8a04039fc94e94f
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2020-09-19 05:28:55 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2020-09-19 05:28:55 +0000

    profiles/package.mask: unmask jabref-bin
    
    Bug: https://bugs.gentoo.org/681828
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 profiles/package.mask | 1 -
 1 file changed, 1 deletion(-)
Comment 31 Georgy Yakovlev gentoo-dev 2020-09-19 07:38:21 UTC
Update on current situation:

1) openjfx:8 added to the tree. Since it's obsolete version, it will never be stable and comes without bundled webkit, so apps that require JavaFX web stuff will probably not work. It's a security decision.

2) javafx flag for openjdk:8 is stable.masked, so stable system users will need to unmask it to use.
~arch users can use right away.

3) all [javafx] dependent consumers will have to be ~unstable.

4) javafx useflag for openjfx-bin, icedtea, icedtea-bin and maybe openjdk-jre-bin will be added soon-ish, need to sort-out dependencies properly.

5) oracle jdks to be removed real soon.

6) icedtea (and icedtea-bin) becomes secondary choice of jdk/jvm in gentoo, virtuals updated, but unstable for now.
it was java team decision because icedtea upstream started lagging with releases. current version is 2 month behind has more than 10 CVEs.
if released, icedtea-3.17 and future versions are not getting stable keywords, until it gets back on track.
if icedtea continues to lag - it will be removed. 

7) openjdk is new default, bumps usually happen same day as upstream releases.
new virtuals will be stabilized soon.

It took more than a year to get to this stage, a lot of work was done, I hope everyone is ok with current state of openjdk ebuilds.

lmk if you have questions or complaints.
Comment 32 Larry the Git Cow gentoo-dev 2020-09-19 08:07:03 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6a7faaad2f8c5312dfb8d6e539b5a7346652e98b

commit 6a7faaad2f8c5312dfb8d6e539b5a7346652e98b
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2020-09-18 22:36:24 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2020-09-19 08:05:29 +0000

    dev-java/oracle-jdk-bin: remove last rited pkg
    
    Bug: https://bugs.gentoo.org/732630
    Bug: https://bugs.gentoo.org/717638
    Closes: https://bugs.gentoo.org/575978
    Closes: https://bugs.gentoo.org/686672
    Closes: https://bugs.gentoo.org/684306
    Closes: https://bugs.gentoo.org/692420
    Closes: https://bugs.gentoo.org/684120
    Closes: https://bugs.gentoo.org/681828
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
    Closes: https://github.com/gentoo/gentoo/pull/17594
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 dev-java/oracle-jdk-bin/Manifest                   |  15 --
 .../oracle-jdk-bin/files/fontconfig.properties     | 161 -----------
 .../oracle-jdk-bin/files/oracle-jdk-bin-9.env.sh   |  16 --
 .../oracle-jdk-bin/files/oracle-jdk-bin.env.sh     |  16 --
 dev-java/oracle-jdk-bin/metadata.xml               |  16 --
 .../oracle-jdk-bin/oracle-jdk-bin-1.8.0.202.ebuild | 297 ---------------------
 .../oracle-jdk-bin/oracle-jdk-bin-11.0.2.ebuild    | 247 -----------------
 7 files changed, 768 deletions(-)

Additionally, it has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9b90dc11589343236a9b3d80a1dacba116271e23

commit 9b90dc11589343236a9b3d80a1dacba116271e23
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2020-09-19 07:52:24 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2020-09-19 08:05:34 +0000

    virtual/jre: add ~arm keyword to 11
    
    Bug: https://bugs.gentoo.org/681828
    Package-Manager: Portage-3.0.7, Repoman-3.0.1
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 virtual/jre/jre-11-r2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6fdc35648cef346db47718728ea5b0dd4bb3f959

commit 6fdc35648cef346db47718728ea5b0dd4bb3f959
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2020-09-19 07:50:46 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2020-09-19 08:05:33 +0000

    virtual/jdk: add ~arm keyword to 11
    
    Bug: https://bugs.gentoo.org/681828
    Package-Manager: Portage-3.0.7, Repoman-3.0.1
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 virtual/jdk/jdk-11-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5b642ddcd5fd7dccff144a873ada94f405701ab6

commit 5b642ddcd5fd7dccff144a873ada94f405701ab6
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2020-09-19 07:48:27 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2020-09-19 08:05:32 +0000

    virtual/jdk: drop old
    
    Bug: https://bugs.gentoo.org/681828
    Package-Manager: Portage-3.0.7, Repoman-3.0.1
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 virtual/jdk/jdk-1.8.0-r3.ebuild | 14 --------------
 virtual/jdk/jdk-1.8.0-r4.ebuild | 16 ----------------
 virtual/jdk/jdk-11.ebuild       | 14 --------------
 3 files changed, 44 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b6c379404a1146596eca6e535e27c2f9ffdd9c87

commit b6c379404a1146596eca6e535e27c2f9ffdd9c87
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2020-09-19 07:47:48 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2020-09-19 08:05:32 +0000

    virtual/jdk: 1.8.0-r5 stable
    
    Bug: https://bugs.gentoo.org/681828
    Package-Manager: Portage-3.0.7, Repoman-3.0.1
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 virtual/jdk/jdk-1.8.0-r5.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5084dde5ec76ff58738d7ba92a9ec052019ddb23

commit 5084dde5ec76ff58738d7ba92a9ec052019ddb23
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2020-09-19 07:46:12 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2020-09-19 08:05:31 +0000

    virtual/jre: drop old
    
    Bug: https://bugs.gentoo.org/681828
    Package-Manager: Portage-3.0.7, Repoman-3.0.1
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 virtual/jre/jre-1.8.0-r1.ebuild | 13 -------------
 virtual/jre/jre-1.8.0-r2.ebuild | 14 --------------
 2 files changed, 27 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=32c30339e266268b73fa39c0ff0ec121fcc5006b

commit 32c30339e266268b73fa39c0ff0ec121fcc5006b
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2020-09-19 07:45:37 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2020-09-19 08:05:30 +0000

    virtual/jre: 1.8-r3 stable
    
    Bug: https://bugs.gentoo.org/681828
    Package-Manager: Portage-3.0.7, Repoman-3.0.1
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 virtual/jre/jre-1.8.0-r3.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=01284825796f21c0581f237b9619e20d5543db7b

commit 01284825796f21c0581f237b9619e20d5543db7b
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2020-09-19 07:43:59 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2020-09-19 08:05:30 +0000

    virtual/jre: drop old 11
    
    Bug: https://bugs.gentoo.org/681828
    Package-Manager: Portage-3.0.7, Repoman-3.0.1
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 virtual/jre/jre-11-r1.ebuild | 14 --------------
 1 file changed, 14 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=03c170e1755aeb6ccbf225489efc5f2282ab2ac1

commit 03c170e1755aeb6ccbf225489efc5f2282ab2ac1
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2020-09-18 22:36:04 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2020-09-19 08:05:29 +0000

    dev-java/oracle-jre-bin: remove last rited pkg
    
    Bug: https://bugs.gentoo.org/681828
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 dev-java/oracle-jre-bin/Manifest                   |   2 -
 .../oracle-jre-bin/files/fontconfig.properties     | 161 ---------------
 .../oracle-jre-bin/files/oracle-jre-bin.env.sh     |  16 --
 dev-java/oracle-jre-bin/metadata.xml               |  11 --
 .../oracle-jre-bin/oracle-jre-bin-1.8.0.202.ebuild | 220 ---------------------
 5 files changed, 410 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f29f706c3b7ec2a7144133100719297bcd7b0836

commit f29f706c3b7ec2a7144133100719297bcd7b0836
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2020-09-18 22:35:23 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2020-09-19 08:05:28 +0000

    dev-java/netbeans-harness: remove last rited pkg
    
    Bug: https://bugs.gentoo.org/681828
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 dev-java/netbeans-harness/Manifest                 |   7 --
 dev-java/netbeans-harness/metadata.xml             |  12 ---
 .../netbeans-harness/netbeans-harness-8.2.ebuild   | 100 ---------------------
 3 files changed, 119 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=142ee89e7e82fcedd1faf405d0737c175bf741c1

commit 142ee89e7e82fcedd1faf405d0737c175bf741c1
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2020-09-18 22:34:59 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2020-09-19 08:05:27 +0000

    dev-java/netbeans-platform: remove last rited pkg
    
    Bug: https://bugs.gentoo.org/681828
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 dev-java/netbeans-platform/Manifest                |  17 ---
 dev-java/netbeans-platform/metadata.xml            |  12 --
 .../netbeans-platform/netbeans-platform-8.2.ebuild | 154 ---------------------
 3 files changed, 183 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eb216b6dbf46e7f9ae601b98107683727112021e

commit eb216b6dbf46e7f9ae601b98107683727112021e
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2020-09-18 22:33:38 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2020-09-19 08:05:27 +0000

    games-util/pogo-manager-bin: remove last-rited pkg
    
    Bug: https://bugs.gentoo.org/681828
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 games-util/pogo-manager-bin/Manifest               |  2 --
 games-util/pogo-manager-bin/files/pogo-manager     | 17 -----------
 games-util/pogo-manager-bin/metadata.xml           |  8 -----
 .../pogo-manager-bin/pogo-manager-bin-0.1.6.ebuild | 34 ----------------------
 .../pogo-manager-bin/pogo-manager-bin-0.1.7.ebuild | 34 ----------------------
 5 files changed, 95 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8828564687a59a56f727374ebb26fee5866fb389

commit 8828564687a59a56f727374ebb26fee5866fb389
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2020-09-18 22:33:02 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2020-09-19 08:05:26 +0000

    net-p2p/bisq: remove last rited pkg
    
    Bug: https://bugs.gentoo.org/681828
    Closes: https://bugs.gentoo.org/666770
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 net-p2p/bisq/Manifest          | 858 -----------------------------------
 net-p2p/bisq/bisq-0.6.3.ebuild | 996 -----------------------------------------
 net-p2p/bisq/metadata.xml      |  11 -
 3 files changed, 1865 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=90984c758eee77ebd0a16554517c768e8cfa3b72

commit 90984c758eee77ebd0a16554517c768e8cfa3b72
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2020-09-18 22:32:22 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2020-09-19 08:05:25 +0000

    sci-mathematics/geogebra: remove last rited pkg
    
    please use sci-mathematics/geogebra-bin instead
    
    Bug: https://bugs.gentoo.org/719076
    Bug: https://bugs.gentoo.org/681828
    Closes: https://bugs.gentoo.org/644968
    Closes: https://bugs.gentoo.org/715474
    Closes: https://bugs.gentoo.org/618806
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 sci-mathematics/geogebra/Manifest                  | 223 --------------
 .../geogebra-5.0.339.0_p20170308-r1.ebuild         | 339 ---------------------
 sci-mathematics/geogebra/metadata.xml              |  17 --
 3 files changed, 579 deletions(-)
Comment 33 Pacho Ramos gentoo-dev 2020-09-19 08:50:34 UTC
(In reply to Georgy Yakovlev from comment #31)
> Update on current situation:

Thanks a lot for the work and all the information :)